Database Failing to Upgrade (3.0.7-PL1 to 3.0.8)

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Get Involved
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
Locked
gamecharmer
Registered User
Posts: 62
Joined: Sat Dec 30, 2006 7:46 am

Database Failing to Upgrade (3.0.7-PL1 to 3.0.8)

Post by gamecharmer »

Support Request Template
What version of phpBB are you using? phpBB 3.0.7-Pl1
What is your board's URL? http://forums.mudgrinders.com
Who do you host your board with? Lunarpages
How did you install your board? I used the download package from phpBB.com
Is your board a fresh install or a conversion? Update from a previous version of phpBB3
Do you have any MODs installed? No
Is registration required to reproduce this issue? Yes
What version of phpBB3 did you update from? phpBB 3.0.7
What styles do you currently have installed? stock styles
What language(s) is your board currently using? english
Which database type/version are you using? MySQL 5
What is your level of experience? Comfortable with PHP and phpBB
What username can be used to view this issue? n/a
What password can be used to view this issue? n/a
When did your problem begin? Attempt to upgrade from 3.0.7-PL1 to 3.0.8
Please describe your problem. I get the following data when attempting an upgrade.

Updating database to latest stable release

Database type :: mysql4
Previous version :: 3.0.7-PL1
Updated version :: 3.0.8


Updating database schema

Progress :: No updates required


Updating data

Progress :: . . . . . . . . . .
Fatal error: in /home/gcworld3/public_html/_subs/_MudForums/includes/db/dbal.php on line 694
Generated by SRT Generator ($Rev: 4502 $)
User avatar
KevC
Support Team Member
Support Team Member
Posts: 70268
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: Database Failing to Upgrade (3.0.7-PL1 to 3.0.8)

Post by KevC »

-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"
gamecharmer
Registered User
Posts: 62
Joined: Sat Dec 30, 2006 7:46 am

Re: Database Failing to Upgrade (3.0.7-PL1 to 3.0.8)

Post by gamecharmer »

The database has been slightly modified with some extra fields, but the php files are brand new.

I seen 3.0.8 as a way to kinda start over with my site. I was hoping the database fields would have been fine for the upgrade. Anyway, thanks for that link. I'm fixing the database fields right now. Thanks for the help!!!

The only field that was causing an issue was "user_arcade_permissions" from the arcade mod. I won't be installing the arcade this time around, as not enough users used it for it being worth the disk space and bandwidth.
Locked

Return to “[3.0.x] Support Forum”